APT (Advanced Packaging Tool) is the standard software package management system for Debian and its derivatives.

learn more… | top users | synonyms (1)

3
votes
1answer
309 views

How can I install more recent versions of software than what Debian provides?

Suppose I want a more recent version of software than is available for my current version of an operating system, what can I do? Cases to consider: There are semiofficial/official sources of ...
115
votes
9answers
33k views

What is the real difference between “apt-get” and “aptitude”? (How about “wajig”?)

I know that both apt-get and aptitude are command line package management interfaces on Debian derived Linux, with different options, but I'm still somewhat confused. Under the hood, aren't they ...
5
votes
3answers
5k views

apt-get - autoremove wants to uninstall Gnome

As empathy 2.30 in Debian Wheezy didn't meet all my preferences I tried out empathy 3.1 from experimental, using the command: apt-get -t experimental install empathy I had to find out, this version ...
2
votes
1answer
156 views

apt installing more packages than specified as dependencies

I was trying to install texmaker from the repository. For installing the texlive I followed the steps described here. For this the control file I used is this. It has the file texlive-binaries in it. ...
42
votes
7answers
18k views

Convince apt-get *not* to use IPv6 method

The ISP I work at is setting up an internal IPv6 network in preparation for eventually connecting to the IPv6 internet. As a result, several of the servers in this network now try to connect to ...
16
votes
4answers
10k views

List packages by installation date

How can I list installed packages by installation date? I installed a lot of stuff to compile a certain piece of code, and I want to get a list of the required packages, which are the ones I installed ...
6
votes
1answer
2k views

Pacman option to assume “yes” to every question?

When installing software in debian systems we can put something like this: sudo apt-get install -y chromium-browser that way the installation occurs automatically, whitout asking to confirm ...
4
votes
1answer
1k views

Aptitude on Debian 6.0.4 “media change” to CD ROM

I've just installed Debian 6.0.4 on VirtualBox, and I'm trying to install g++. So, into the terminal I typed: aptitude install build-essential But it's trying to get the package from disk: Media ...
3
votes
1answer
685 views

listing packages in Debian, a la `dpkg -l`, but including the package origin/source

I want to list all packages of the form $ dpkg -l libav\* but in addition to this output, I would like the origin/source (I'm not sure of the preferred term) of each package. If the package doesn't ...
2
votes
1answer
569 views

Fixing a broken packet system (apt-get)

After I made a system upgrade (apt-get upgrade) on a debian box, I get an error everytime i tries to use apt-get. Example: # apt-get -f install Reading package lists... Done Building dependency tree ...
1
vote
0answers
318 views

Make and apt-get Have Stopped Working

So I downloaded the non-free broadcom driver(b44) for my debian install, however when I try to make it I get the following error: make make -C /lib/modules/2.6.32-5-amd64/build ...
9
votes
5answers
3k views

How to see package version without install?

I want to see the version of a package before I install it. How can I do this?
5
votes
1answer
9k views

Unable to install ia32-libs in Debian Wheezy

I was trying to install ia32-libs in Debian Wheezy. I got the error The following packages have unmet dependencies: ia32-libs : Depends: ia32-libs-i386 but it is not installable E: Unable to correct ...
14
votes
2answers
520 views

Why do package names contain version numbers?

While working with Ubuntu and other Debian-based distros, I've noticed that packages in the software repos often contain the major version number. For example, Apache: apache2 Tomcat: tomcat7 PHP: ...
9
votes
4answers
748 views

How can I reliably “hold” a package in Debian?

I have a package in Debian that has been manually patched (not ideal, I know) that I must hold at its current version so upgrades don't overwrite the patched changes (I will manually inspect and apply ...
6
votes
1answer
432 views

Blocking kernel updates with dpkg

I'd like to block all distribution-shipped kernel updates due to a nasty thing that recently happened to me. (I'm on a Ubuntu 12.04 amd64 derivative.) I'd like to block all updates to installed ...
6
votes
1answer
744 views

disable apt-listchanges (and other interactive stuff) during upgrades (reliably)

I have to admit, I really really hate apt-listchanges. If I'm going to do a huge dist-upgrade, I want to just leave the computer there for a few hours. The asker of this serverfault question had a ...
5
votes
2answers
9k views

How can I update to a newer version of Git using apt-get?

I've just set up a new machine with Ubuntu Oneiric 11.10 and then run apt-get update apt-get upgrade apt-get install git Now if I run git --version it tells me I have git version 1.7.5.4 but on my ...
5
votes
2answers
813 views

Finding an earlier version to downgrade to

On my Debian server, I upgraded the SQLite package to version 3.7.7 but discovered that it contains a critical bug that breaks several things including my Subversion repository. So, I would like to ...
3
votes
4answers
160 views

Connect to the Internet on a VPN connected server without Internet

I've a remote server which is not connected to the internet, but I can connect from via SSH to it through a VPN tunnel. On this client I got internet. Is it possible 'get internet' from the client ...
2
votes
2answers
626 views

Can I determine what changed in an upgraded package using apt or dpkg on Debian 6?

I just did an apt-get upgrade on my Debian 6 development server and noticed that a certain package named tinyproxy was upgraded. I have a particular interest in seeing precisely what changed in that ...
1
vote
1answer
346 views

How do you fix apt-get update “Hash Sum mismatch”

I have an Ubuntu 12.04 virtual box vm that I instantiate using Vagrant. git clone https://github.com/spuder/puppet-gitlab vagrant up As soon as the vagrant box runs apt-get update, I get the ...
5
votes
2answers
4k views

Enabling apt repository priority in LMDE

I want to set up apt repository priority ordering in Linux Mint Debian Edition 2012.04. In /etc/apt/preferences the order should be: LMDE -> Debian testing -> Debian unstable. In other words, I almost ...
5
votes
2answers
672 views

What's up with this 'gnome' package?

I have recently grown tired of the way Rhythmbox starts up every time I plug in my MP3 player. I know I could simply disable this, but I've decided to uninstall Rhythmbox instead. It's such a ...
4
votes
1answer
25 views

track down executables installer

I have a freshly installed debian system It has vim installed using apt-get install vim Now I have the command xxd installed on the system. I know that this had to have come from the vim ...
4
votes
1answer
1k views

apt-get via ssh-tunnel if only port 22 is allowed

I have a server which has only access to the outer world via port 22 (for the use of ssh from the server to other computers). I want to install some packages via apt-get on this server. Can I achive ...
4
votes
2answers
2k views

I cannot install new packages: “Could not get lock /var/lib/dpkg/lock”

I am new to Linux (installed Ubuntu for the first time yesterday), and have never dealt with any unix-based OS. I started using Linux for the sole purpose of collaborating code with my partners via ...
4
votes
1answer
1k views

The difference between deb versus deb-src in sources.list

I don't understand the difference between these two lines in my sources.list, please explain: deb http://mirror.optus.net/debian/ testing main contrib non-free versus deb-src ...
4
votes
1answer
316 views

Apt/Aptitude: how to filter packages that are impossible to install?

Especially when running Sid, there are many packages that become non-installable as the dependencies change ABI versions, or the dependencies themselves may have been dropped. It'd be good to know how ...
3
votes
2answers
1k views

What packages are installed by default in Debian? Is there a term for that set? Why some of those packages are `automatically installed` and some not?

It's a very simple question, but I wonder, is there a term to refer to the subset of packages that is automatically installed by Debian distribution? I though that it had something to do with ...
3
votes
2answers
74 views

How to make apt recognize an installed tar package?

I've installed Oracle Java. I want to be able to remove OpenJDK, but when trying to do so apt wants to install another version of Java. How can I configure apt so that it knows I already have a ...
3
votes
3answers
139 views

Install using synaptic ignoring dependencies

I was trying to install texmaker a latex editor in my debian system from synaptic. It shows in the dependency list texlive-base, texlive-common. etc as dependencies. But I have already installed ...
3
votes
3answers
3k views

Fixing broken packages in a Debian testing distribution

I'm playing around with Linux Mint Debian Edition (LMDE) in a VirtualBox instance to try it out and see if it'd be good for a main operating system for me. I'm pretty competent with most system ...
3
votes
1answer
124 views

Link a dependency in Synaptic to the one already installed from source

I want to install SVN version of Quantum GIS and already I have a SVN version of GRASS GIS. As instructed in QGIS Wiki here, I added the qgis repository to my sources.list file. Now I am able to see ...
2
votes
1answer
69 views

Unmet dependencies after using a backports repository

I have added a backport repository to apt's sources.list to get an application: deb http://ftp.uk.debian.org/debian/ wheezy-backports main Long story short: I did not manage to install the ...
2
votes
3answers
1k views

sudo: apt-get: command not found. On Debian, SSH

Recently I executed this command: sudo apt-get remove debian-keyring debian-archive-keyring To prevent this such error message: WARNING: The following packages cannot be authenticated! openerp ...
2
votes
2answers
116 views

What is the equivalent of apt-file in portage, if any? [duplicate]

Hunting for dependencies when compiling software from the scratch is practically unavoidable. In Debian-based Linux distributions which use the apt-get utility to manage packages, there is also a nice ...
2
votes
3answers
709 views

Unmet dependencies

I am trying to compile vim and install with "--enable-pythoninterp" flag, which needs the python-dev package. INFO I obtained the vim source from ftp://ftp.vim.org/pub/vim/unix/vim-7.3.tar.bz2 Vim7.3 ...
2
votes
2answers
1k views

Fixing debian installer

I have a VPS with Debian GNU/Linux on it. I'm trying to install a PHP file manager so that people could access it and download stuff into a directory. I don't have anything in my /bin about PHP so ...
2
votes
2answers
1k views

What are pros/cons of dselect and apt-get?

I hardly ever hear anyone mention dselect, a deprecated package management front-end for Debian. Considering that it still exists as part of dpkg source, it must still have its uses. What are those? ...
1
vote
1answer
621 views

apt-get update won't update - undo /apt-add-repository

When I run apt-get update, this happens: Hit http://dl.google.com stable Release.gpg Hit http://dl.google.com stable Release Hit http://security.debian.org ...
1
vote
1answer
191 views

Mint 12 - Error updating MySQL (mysql-client-core-5.1)

I have MySQL 5.5 installed via packages.dotdeb.org. When trying to update 5.1, which is also installed, I get the following error: E: ...
0
votes
1answer
33 views

why is install-recommends default true? [duplicate]

In debian the default configuration for installing recommendations in apt is set to true. if you edit /etc/apt/apt.conf and add the line apt::install-recommends "false"; recommendations are ...
0
votes
0answers
388 views

apt-get or aptitude [duplicate]

Possible Duplicate: What is the real difference between “apt-get” and “aptitude”? (How about “wajig”?) I'm new in Linux (Ubuntu) world. When I need to ...
-2
votes
2answers
192 views

dpkg / apt-get wants to install and overwrite different package

I want to install Pound. Doing this: apt-get install pound produces this: root@myhost:~# apt-get install pound Reading package lists... Done Building dependency tree Reading state information... ...